Subject: Offline Message from Lubna: Greetings, I recieved my shipment finally 2 days
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 07 Jul 2020 10:25:13 -0000

From: Lubna <[email-masked]>
Phone: 
Location: Khobar, Saudi Arabia
URL:  
Department: 

Greetings, 
I recieved my shipment finally 2 days ago order number 100137700 . I opened the package for smoby kitchen but unfortunately the cover of the pot doesnt close as it is bended.  Also one piece for attaching it to the stove that makes all the piece create bubble is missing. This is the main reason we baught this item. Our kids have been waiting for more than a month, and it arrived, it is missing the most important piece. Please check the video attached

----
Zopim
https://www.zopim.com